APT-MARK(8)

NOMBRE
apt-mark - Marca o desmarca un paquete como instalado automáticamente

SINOPSIS

apt-mark [-f=filename] {auto | manual | showauto | showmanual} pkg... | {-v | --version} | {-h | --help}

DESCRIPCIÓN

apt-mark conmuta si un paquete se instaló automáticamente o no.

Cuando solicita la instalación de un paquete y como resultado de ello se instalan otros paquetes para satisfacer sus dependencias, éstos se marcarán como instalados automáticamente. Una vez que estos paquetes instalados automáticamente ya no son necesarios para ningún paquete instalado manualmente, apt-get o aptitude los eliminará.

auto
    auto se utiliza para marcar un paquete como automáticamente instalado, provocando la eliminación del paquete cuando ningún otro paquete manualmente instalado depende de este paquete.

manual
    manual sirve para marcar un paquete como instalado manualmente, impidiendo la eliminación automática de este paquete si ningún otro depende de él.

hold
    hold sirve para marcar un paquete para su retención, impidiendo que el paquete se instale, actualice o elimine de forma automática. La orden es una interfaz para dpkg --set-selections, por lo que dpkg(1) preserva el estado sin que la opción --file tenga efecto sobre él.

unhold
    unhold sirve para permitir cualquier acción habitual sobre un paquete previamente marcado con «hold».

showauto
    showauto muestra una lista de paquetes automáticamente instalados en diferentes líneas. Si no se introduce ningún paquete, se muestran todos los paquetes automáticamente instalados. Si se introducen paquetes solo se muestran aquellos automáticamente instalados.

showmanual
    showmanual se puede utilizar de la misma forma que showauto, a excepción de que muestra una lista de paquetes manualmente instalados.

showhold
    showhold muestra una lista de paquetes retenidos («hold») de la misma forma que las otras órdenes «show».

OPCIONES

-f=filename, --file=filename
    Escribe y lee las estadísticas de los paquetes con el nombre de fichero definido con el parámetro filename, en lugar de la ubicación predeterminada, que es extended_status en el directorio definido con la opción de configuración: Dir::State.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Define una opción de configuración: Esto definirá una opción arbitraria de configuración. La sintaxis es -o Algo::Cosa=cosa. -o y --option se pueden usar varias veces para definir diferentes opciones.

FICHEROS

/var/lib/apt/extended_states
    Lista de estado de paquetes automáticamente instalados. Elemento de configuración: Dir::State::extended_states.

VÉASE TAMBIÉN

apt-get(8),aptitude(8),apt.conf(5)

DIAGNÓSTICOS

apt-mark devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2012 .

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTORES

Mike O'Connor

Equipo de APT

NOTAS

1.  Página de errores de APT
    http://bugs.debian.org/src:apt